Find sensor near a geo location

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Find sensors near a geo location. You can optionally pass radius and modified_since fields as query parameters to filter the set of sensors. The radius is in meters.

curl -X GET --user "application_id:application_secret" -H "Accept: application/json"  https://beta.lumenpath.com/api/sensor/nearest/location/45.529526/-122.68441/?radius=10000\&modified_since=2014-10-12'T'12:01:01'Z'
$.ajax
({
  type: "GET",
  url: "https://beta.lumenpath.com/api/sensor/nearest/location/45.529526/-122.68441/",
  data: {"radius" : "1000", "modified_since" : "2014-10-12'T'12:01:01'Z'"},
  async: false,
  headers: {
    "Authorization": "Basic " + btoa(application_id + ":" + application_secret)
  },
  success: function (data){
    alert('Found sensors');
    console.log(data)
  }
});
Path Params
string
required

Lattidue

string
required

Longitude

Query Params
int32
Defaults to null

Radius to limit the search to.

date

Limit the search to sensors updated after this date.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Choose an example:
application/json